Bitcoin vs Altcoins Correlation

30-day rolling correlation between Bitcoin (BTC) price and the total Altcoin market capitalization

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/metrics/altcoins-correlation/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

resolution (optional) — day1 (default), hour12, hour4, hour1, 30mn, 10mn. Finer buckets are served to Advanced and Enterprise accounts; see Resolutions.

before (optional) — exclusive cursor, returns observations older than this timestamp_ms. Finer resolutions only.

limit (optional) — page size for finer resolutions. Default 2500, maximum 5000. Ignored for day1.

Path params

:metric_name — one of the metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each metric is fetched independently. Responses are trimmed samples to show structure.

2 metrics
Metric

Altcoins Marketcap

Data used by the Bitcoin vs Altcoins Correlation chart.

Endpoint
https://newhedge.io/api/v2/metrics/altcoins-correlation/altcoins_price_usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1786838400000,
    904579535378.176
  ],
  [
    1786924800000,
    863718510329.9456
  ],
  [
    1787011200000,
    900236028648.7251
  ]
]
Metric

BTC vs Altcoins Correlation

Data used by the Bitcoin vs Altcoins Correlation chart.

Endpoint
https://newhedge.io/api/v2/metrics/altcoins-correlation/btc_altcoins_correlation?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1786838400000,
    0.5679110291047736
  ],
  [
    1786924800000,
    0.603061087416022
  ],
  [
    1787011200000,
    0.5952876306123541
  ]
]